How to install Omega 4 with sass


Since Omega 4 has come out in 17/08/2013, people have noticed that there has been a big change in O4. It became SASS compatible ;-)

Have been using SASS in Zen, I find we need to install more gems to run compass watch than Zen. Just to make a note here for the extra gems. 

First of all we need to create a subtheme under Omega 4:

  • drush dl omega
  • drush en omega
  • drush omega-wizard (simple command to create subtheme. Make sure to choose the version with SASS files built in.)

Now we need to take a look at the compass and gems:

  • sudo apt-get install rubygems
  • sudo gem update
  • sudo gem install sass
  • sudo gem install compass

Now we can start to use SASS for ZEN, but it is not enough for O4.

  • sudo gem install compass-normalize
  • sudo gem install compass-rgbapng
  • sudo gem install toolkit
  • sudo gem install susy
  • sudo gem install sass-globbing

After installing above gems, we should be able to run 'sudo compass watch' and enjoy the life with SASS in O4.